X
Нажмите здесь, чтобы перейти на мобильную версию сайта.

Форум поддержки

Gmail says browser not supported. Open basic HTML site only

Размещено

I have updated my firefox to latest version but gmail keep saying my browser isn't supported and it opens the basic HTML version only. I've checked gmail support page and it only says i need to update my firefox and enable cookies. Both which i have done.

The problem started around 2 weeks ago.

I have updated my firefox to latest version but gmail keep saying my browser isn't supported and it opens the basic HTML version only. I've checked gmail support page and it only says i need to update my firefox and enable cookies. Both which i have done. The problem started around 2 weeks ago.
Цитата

Дополнительные сведения о системе

Установленные плагины

  • Shockwave Flash 32.0 r0

Приложение

  • User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:39.0) Gecko/20100101 Firefox/71.0

Дополнительная информация

Wesley Branton
  • Top 10 Contributor
701 решений 5575 ответов
Размещено

Полезный ответ

Does the problem still happen when you run Firefox in Safe Mode? It's possible that an extension you have installed is causing the issue.

Also, try changing Enhanced Tracking Protection to Standard if it's not already set to that. If that fixes the problem, you may need to disable that feature on Gmail.

Hope this helps.

Does the problem still happen when you [[Troubleshoot Firefox issues using Safe Mode|run Firefox in Safe Mode]]? It's possible that an extension you have installed is causing the issue. Also, try changing [[Enhanced Tracking Protection in Firefox for desktop|Enhanced Tracking Protection]] to '''Standard''' if it's not already set to that. If that fixes the problem, you may need to disable that feature on Gmail. Hope this helps.
Помогла ли вам это? 1
Цитата
Размещено

Задавший вопрос

Tried safe mode, but the problem persist. So it's not caused by any extension

Tried safe mode, but the problem persist. So it's not caused by any extension
Помогла ли вам это?
Цитата
cor-el
  • Top 10 Contributor
  • Moderator
17759 решений 160617 ответов
Размещено

Do you have any content blocking extensions ?

If you use extensions ("3-bar" menu button or Tools -> Add-ons -> Extensions) that can block content (Adblock Plus, NoScript, Disconnect, Ghostery, Privacy Badger, uBlock Origin) always make sure such extensions do not block content.

Firefox shows an highlighted shield icon at the left end of the location/address bar in case Tracking Protection is blocking content.

  • click the shield icon for more details and possibly disable the protection

You can check in the Web Console what content is blocked

You can try to create a cookie allow exception for Gmail (https://google.com).

  • Options/Preferences -> Privacy & Security
    Cookies and Site Data -> Manage Permissions
Do you have any content blocking extensions ? If you use extensions ("3-bar" menu button or Tools -> Add-ons -> Extensions) that can block content (Adblock Plus, NoScript, Disconnect, Ghostery, Privacy Badger, uBlock Origin) always make sure such extensions do not block content. *make sure your extensions and filters are updated to the latest version *https://support.mozilla.org/en-US/kb/troubleshoot-extensions-themes-to-fix-problems Firefox shows an highlighted shield icon at the left end of the location/address bar in case Tracking Protection is blocking content. *click the shield icon for more details and possibly disable the protection You can check in the Web Console what content is blocked *"3-bar" menu button or Tools -> Web Developer *https://support.mozilla.org/en-US/kb/enhanced-tracking-protection-firefox-desktop You can try to create a cookie allow exception for Gmail (https://google.com). *Options/Preferences -> Privacy & Security<br>Cookies and Site Data -> Manage Permissions
Помогла ли вам это?
Цитата
Размещено

Задавший вопрос

this is all the things i tried

- run firefox in safe mode - check content blocking - refresh firefox to its default setting - uninstall and deleting everything, doing a fresh install afterwards

did all that, gmail is still saying my browser isn't supported

this is all the things i tried - run firefox in safe mode - check content blocking - refresh firefox to its default setting - uninstall and deleting everything, doing a fresh install afterwards did all that, gmail is still saying my browser isn't supported
Помогла ли вам это?
Цитата
Abhijit Mondal 1 решений 3 ответов
Размещено

Hi, I would like you to check followings things, goto https://www.whatsmyua.info/ and check your use agent. It looks like your user-agent have been changed somehow.

Hi, I would like you to check followings things, goto https://www.whatsmyua.info/ and check your use agent. It looks like your user-agent have been changed somehow.
Помогла ли вам это?
Цитата
Размещено

Задавший вопрос

Here are the result for my user agent

According to useragent v2.2.1: ua

   rawUa: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:39.0) Gecko/20100101 Firefox/71.0
   string:
   family: Firefox
   major: 71
   minor: 0
   patch: 0
   device: Other 0.0.0

os

   string: Windows 7 0.0.0
   family: Windows 7
   major: 0
   minor: 0
   patch: 0


According to ua-parser-js v0.7.20: ua

   ua: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:39.0) Gecko/20100101 Firefox/71.0

browser

   name: Firefox
   version: 71.0
   major: 71

engine

   name: Gecko
   version: 39.0

os

   name: Windows
   version: 7

device

   vendor: undefined
   model: undefined
   type: undefined

cpu

   architecture: amd64


According to platform.js v1.3.5: ua

   name: Firefox
   version: 71.0
   layout: Gecko

os

   os: Windows Server 2008 R2 / 7 64-bit

device

   product:
   manufacturer:
   description: Firefox 71.0 32-bit on Windows Server 2008 R2 / 7 64-bit
Here are the result for my user agent '''According to useragent v2.2.1: ua''' rawUa: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:39.0) Gecko/20100101 Firefox/71.0 string: family: Firefox major: 71 minor: 0 patch: 0 device: Other 0.0.0 os string: Windows 7 0.0.0 family: Windows 7 major: 0 minor: 0 patch: 0 '''According to ua-parser-js v0.7.20: ua''' ua: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:39.0) Gecko/20100101 Firefox/71.0 browser name: Firefox version: 71.0 major: 71 engine name: Gecko version: 39.0 os name: Windows version: 7 device vendor: undefined model: undefined type: undefined cpu architecture: amd64 '''According to platform.js v1.3.5: ua''' name: Firefox version: 71.0 layout: Gecko os os: Windows Server 2008 R2 / 7 64-bit device product: manufacturer: description: Firefox 71.0 32-bit on Windows Server 2008 R2 / 7 64-bit

Изменено Syawal

Помогла ли вам это?
Цитата
johnynelson00 0 решений 1 ответов
Размещено

Try to change the browser and back login , maybe it will help you nflbite

Try to change the browser and back login , maybe it will help you [http://example.com nflbite]
Помогла ли вам это?
Цитата
cor-el
  • Top 10 Contributor
  • Moderator
17759 решений 160617 ответов
Размещено

This is probably not about the user agent, but about having disabled some features that Gmail needs to have enabled for the advanced features.

Maybe the Web Console gives some information.

This is probably not about the user agent, but about having disabled some features that Gmail needs to have enabled for the advanced features. Maybe the Web Console gives some information. *"3-bar" menu button or Tools -> Web Developer *https://developer.mozilla.org/en-US/Tools/Web_Console
Помогла ли вам это?
Цитата
Размещено

Задавший вопрос

gmail still not working properly.

gmail still not working properly.
Помогла ли вам это?
Цитата
the-edmeister
  • Top 25 Contributor
  • Moderator
5425 решений 40491 ответов
Размещено

This forum reads your User Agent as such: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:39.0) Gecko/20100101 Firefox/71.0

That rv:39.0 number should read as rv:71.0 ! Very purposely Mozilla aligned the Firefox version number with the Gecko engine version number 8 to 10 years ago so that they always match.

Perhaps Gmail is going by the Gecko revision version number?

This forum reads your User Agent as such: Mozilla/5.0 (Windows NT 6.1; WOW64; '''rv:39.0''') Gecko/20100101 Firefox/71.0 That '''rv:39.0''' number should read as '''''rv:71.0''''' ! Very purposely Mozilla aligned the Firefox version number with the Gecko engine version number 8 to 10 years ago so that they always match. Perhaps Gmail is going by the Gecko revision version number?
Помогла ли вам это?
Цитата
Размещено

Задавший вопрос

ok. do you have any suggestion how to change that 39.0 to latest version?

ok. do you have any suggestion how to change that 39.0 to latest version?
Помогла ли вам это?
Цитата
Задать вопрос

Для ответа на сообщения вы должны войти в свою учётную запись. Пожалуйста, задайте новый вопрос, если у вас ещё нет учётной записи.